[![Build Status](https://travis.ibm.com/BlockchainLabs/developer-utilities.svg?token=wGpbmAddhCLxpPsf5VEz&branch=master)](https://travis.ibm.com/BlockchainLabs/developer-utilities)

# developer-utilities
This repository contains **scripts** and **tips** for developers so they can save time and leverage reusable assets that we have harvested from previous projects. For you to take advantage of the assets found in this repository, it is assumed that you are familiar with the following concepts:

* How App ID works and how to leverage `APIStrategy` vs `WebAppStrategy`.
* Understands how JSON web tokens work for authentication and authorization.
* How to leverage the IBM CLI and the development plugin for the CLI.
* The difference between provisioning applications on Cloud Foundry vs. Kubernetes.
* How to create and configure DevOps pipelines on the IBM Cloud.
* How to use Cloudant and what it takes to implement views, map, and reduce functions and familiarity with the design document.

Also, please note that the assets in this repository are utilities to enable developers to execute certain operations very quickly (not so much code that you would include in the codebase of the solution, though you are welcome to do so if you wish). Please see the table of contents below to get familiar with the different functionalities that are available in this repository.

## Table of contents

1. [Create users in App ID (UI applications)](docs/create-users-appid.md)
1. [Generate App ID token to access secured endpoints](docs/generate-appid-token.md)
1. [Reset and configure Cloudant databases](docs/reset-and-configure-cloudant.md)
1. [Generate scaffolding code for UI components](docs/ui-scaffolding.md)
1. [Create identities for Fabric client components](docs/create-fabric-identities.md)
