# Create users in App ID (UI applications)
UI applications can leverage IBM Cloud's App ID service for user management. App ID service instances can use the out-of-the box Cloud Directory storage as the user registry.
Leveraging Cloud Directory is extremely convenient for first projects. In future iterations of your project, you can then reconfigure App ID to integrate with, for instance, an existing SAML user registry that the customer owns and manages.

Please note that the setup and configuration of the IBM App ID service on the IBM Cloud is beyond the scope of this document (for further details, please see App ID's [documentation](https://console.bluemix.net/docs/services/appid/index.html#gettingstarted).

Using the code in this repository, you can easily populate your App ID instance with several dummy users in a matter of just minutes. Please note that if you were to do this manually, it would take quite a bit of time.

## Running the script
1. Log on to the IBM Cloud and access your App ID's dashboard; go to the `Service credentials` section.

2. Open credentials section and copy the JSON content.
3. Save the JSON content into the local JSON file named `app-id-credentials.json` (this file should exist under the `scripts/users/config` folder).
4. Please look at the `scripts/users/config/sample-users.json` file; it contains the details of users and their attributes. Create a similar file and named it `user-config.json` and place it under the `scripts/users/config` folder.

5. Log on to the [IBM Cloud CLI](https://console.bluemix.net/docs/cli/reference/ibmcloud/download_cli.html#install_use) and generate a bearer token as follows:

		ibmcloud iam oauth-tokens
        
6. Copy the token and create a new entry with key `authkey` in `app-id-credentials.json` as follows (make sure to leave out the `Bearer` string from the token you just generated):

		"authKey": "<token-value>"

7. The script uses the list of users in the `user-config.json` file to populate App ID accordingly.

	To create new users, please run the following command:
		
		npm run create-users 
	
	To update existing users, please run the following command:
		
		npm run update-users
	
	To delete users, please run the following command:
		
		npm run delete-users
