# Generate App ID token to access secured endpoints
If you've secured the REST endpoints of your Fabric client using App ID's `APIStrategy`, then you will need to generate an APP ID token that has the necessary rights to invoke any of those endpoints. For instance, say you'd like to use [Postman](https://www.getpostman.com/) or a [Swagger UI](https://swagger.io/tools/swagger-ui/) to invoke those secured REST endpoints, then you'll need to generate an App ID token that belongs to a **client application** that is allowed make such invocations. To generate this App ID token, you can leverage `scripts/token/api-token-generator.js`.

## Running the script
1. Log on to the IBM Cloud and access the App ID instance of the **client application** that is allowed to access the secured REST endpoints that you would like to invoke. Once on the App ID's dashboard, please go to the `Service credentials` section.
2. Open/expand the credentials section and copy the `apikey`, `managementUrl`, `oauthServerUrl`, `profilesUrl` and `version` elements from the JSON content.
3. Paste the elements you copied in the prior step into the file named `app-id-credentials.json`, which is found in the `scripts/token/config` directory.
4. In your App ID's dashboard, go to the `Applications` section.
5. Open credentials for the **client application** allowed to invoke the secured REST endpoints and copy the `clientId`, `tenantId` and `secret` elements from the JSON content.
6. Open the `app-id-credentials.json` file and paste the attributes and values you just copied in the previous step.

7. Execute the `api-token-generator.js` script as follows:

	  npm run generate-api-token

8. An App ID token will then be generated for you.
