# Reset and configure Cloudant databases
The Cloudant script, `cloudant.js`, resets and configures Cloudant databases that are part of your solution. This script deletes and recreates the databases specified in a configuration file ([`config.json`](../scripts/cloudant/config/config.json)) that you must provide. The `cloudant.js` script has the following pre-requisite:

1. A running Cloudant service instance on the IBM Cloud.

## Running the script
1. Log on to IBM Cloud and access the **corresponding** Cloudant dashboard.
	* Copy to the clipboard the service credentials for your Cloudant instance. These credentials are found under the `Service credentials` section.
	* Paste the Cloudant credentials into a file named `cloudant-credentials.json` and place this file under the `scripts/cloudant/config` folder.
2. Update the [`config.json`](../scripts/cloudant/config/config.json) configuration file with the names of the organizations and databases that are part of your solution. Also, if any of your databases in your solution requires a *design document*, please make the necessary updates to the `config.json` file (please note that the path to a *design document* is relative to the [`cloudant`](../scripts/cloudant) folder). The script uses the data in this configuration file to determine which databases should deleted and re-created and which *design documents* to upload.
3. Execute the `cloudant.js` script as follows:

	```script 	
	npm run reset-cloudant <organization> 
	```

	where:
	* `organization` is the corresponding organization name as specified in your `config.json` file. The databases specified in the `config.json` configuration file under the organization will be re-recreated along with any specified design documents.
