
# Generate scaffolding code for UI components

You can follow the guidance below for generating the scaffolding code for a UI application that leverages [Node.js](https://nodejs.org/en/) and [React](https://reactjs.org/). Following the process below will also generate the DevOps toolchain for deploying the component to the IBM Cloud (Cloud Foundry or Kubernetes):

1.  Install the [`ibmcloud`](https://cloud.ibm.com/docs/cli?topic=cloud-cli-install-ibmcloud-cli) cli.
1.  Install the `dev` plugin by running the command `ibmcloud plugin install dev`.  Once the `dev` plugin has been installed, you should verify the installation by running the command `ibmcloud plugin show dev`.
1.  Log in to your IBM account by running `ibmcloud login -sso` and target the correct organization and space.
1.  Create your project by running the command `ibmcloud dev create`.
1.  On the next prompt `Select an application type:`.  Select `2. Backend Service / Web App`.
1.  On the next prompt `Select a language:`.  Select `4. Node`.
1.  On the next prompt `Select a Starter Kit:`, under `APPSERVICE` options, select `7. Node.js Web App with Express.js and React (Web App)` (or a category of your choosing given your application requirements). 
1.  Enter the name of the application on the next prompt `Enter a name for your application`.  For example `sampleAppName`.
1.  On the next prompt `Do you want to select a service to add to this application?`, select `y` or `n` depending upon connecting the sample app with an existing cloud service.
1.  On the next prompt `Select from the following DevOps toolchain and target runtime environment options:`, select the appropriate option for toolchain deployment using **Cloud Foundry** or **Kubernetes**.
1.  On the next prompt `Select a region for your toolchain from the following options:`, specify the correct region.
1.  Accept or modify the name of the toolchain on the next prompt `Press [Return] to accept this, or enter a new value now`.  Specify a new name or press enter to accept the current name.
1.  If `IBM DevOps, deploy to Kubernetes containers` was selected earlier as the DevOps selection, Accept or modify the Kubernetes cluster name on the next prompt `The IBM cluster name for the deployment of this app will be:<clustername>`.  Specify a different cluster name or press enter to accept the current name.
1.  The new toolchain for the UI application should be created successfully and the following message should be displayed `The app, <sampleAppName>, has been successfully saved into the current directory.`